﻿@model IEnumerable<UserModel>
@using Bll.Models
@using Pl.Helper.HtmlExtensions
@{
    ViewBag.Title = "AllUsers";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">All Users</h2>
    </div>
    <table class="table table-striped">
        <tr>
            <th scope="col">
                User
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.PhoneNumber)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.Role)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.ProfileImage)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)<br>
                    @Html.DisplayFor(modelItem => item.Surname)<br>
                    @Html.DisplayFor(modelItem => item.Patronymic)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PhoneNumber)
                </td>
                <td>
                    Current: @Html.DisplayFor(modelItem => item.Role)
                    @{Html.RenderPartial("RoleSelectorPartial", ((IEnumerable<RoleModel>)ViewBag.Roles, item.Id));}
                </td>
                <td>
                    <div class="profile-image-min">
                        @if (!string.IsNullOrWhiteSpace(item.ProfileImage))
                        {
                            @Html.ConvertBase64ToImage(item.ProfileImage)
                        }
                        else
                        {
                            <img src="~/Content/Images/NoProfilePhoto.png">
                        }
                    </div>
                </td>
                <td>
                    @Html.ActionLink("Delete", "DeleteUser", new { userId = item.Id }, new { @class = "btn btn-danger" })
                </td>
            </tr>
        }
    </table>
</div>